curl https://api.portkey.ai/v1/threads/thread_abc123/messages \
-H "Content-Type: application/json" \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "OpenAI-Beta: assistants=v2"from portkey_ai import Portkey
client = Portkey(
api_key = "PORTKEY_API_KEY",
virtual_key = "PROVIDER_VIRTUAL_KEY"
)
thread_messages = client.beta.threads.messages.list("thread_abc123")
print(thread_messages.data)import Portkey from 'portkey-ai';
const client = new Portkey({
apiKey: 'PORTKEY_API_KEY',
virtualKey: 'PROVIDER_VIRTUAL_KEY'
});
async function main() {
const threadMessages = await client.beta.threads.messages.list(
"thread_abc123"
);
console.log(threadMessages.data);
}
main();
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "thread.message",
"created_at": 123,
"thread_id": "<string>",
"incomplete_details": {},
"completed_at": 123,
"incomplete_at": 123,
"content": [
{
"type": "image_file",
"image_file": {
"file_id": "<string>",
"detail": "auto"
}
}
],
"assistant_id": "<string>",
"run_id": "<string>",
"attachments": [
{
"file_id": "<string>",
"tools": [
{
"type": "code_interpreter"
}
]
}
],
"metadata": {}
}
],
"first_id": "msg_abc123",
"last_id": "msg_abc123",
"has_more": false
}List Message
curl https://api.portkey.ai/v1/threads/thread_abc123/messages \
-H "Content-Type: application/json" \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "OpenAI-Beta: assistants=v2"from portkey_ai import Portkey
client = Portkey(
api_key = "PORTKEY_API_KEY",
virtual_key = "PROVIDER_VIRTUAL_KEY"
)
thread_messages = client.beta.threads.messages.list("thread_abc123")
print(thread_messages.data)import Portkey from 'portkey-ai';
const client = new Portkey({
apiKey: 'PORTKEY_API_KEY',
virtualKey: 'PROVIDER_VIRTUAL_KEY'
});
async function main() {
const threadMessages = await client.beta.threads.messages.list(
"thread_abc123"
);
console.log(threadMessages.data);
}
main();
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "thread.message",
"created_at": 123,
"thread_id": "<string>",
"incomplete_details": {},
"completed_at": 123,
"incomplete_at": 123,
"content": [
{
"type": "image_file",
"image_file": {
"file_id": "<string>",
"detail": "auto"
}
}
],
"assistant_id": "<string>",
"run_id": "<string>",
"attachments": [
{
"file_id": "<string>",
"tools": [
{
"type": "code_interpreter"
}
]
}
],
"metadata": {}
}
],
"first_id": "msg_abc123",
"last_id": "msg_abc123",
"has_more": false
}Authorizations
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.
asc, desc A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.
Filter messages by the run ID that generated them.
Was this page helpful?

